/ api / name / gb.new
GB.New
Syntax

    int GB.New ( void **object , const char *class , const char *name , void *parent )

Creates a new object given its class name.

- object will receive a reference to the newly created object.
- class is the name of the class to instanciate.
- name is the name used for attaching the object to its event observer.
- parent is the event observer of the object.

The name and parent arguments can be null. In that case, the object will not have any event observer.

This function can create objects whose class has been explicitely declared not instanciable.

If the class is instanciable, this function has exactly the same effect as using the NEW instruction in the Gambas program.

| The new object has an initial reference count of zero. So you must reference it you need to keep it. This is not necessary if you return the object immediately with GB.ReturnObject.

### See also

Object Management